Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AnimBundle Class Reference

This is the root of an AnimChannel hierarchy. More...

Inheritance diagram for AnimBundle:

List of all members.

## Public Member Functions
| AnimBundle (string name, float fps, int num_frames)
AnimBundle | copyBundle ()
| Returns a full copy of the bundle and its entire tree of nested AnimGroups.
double | getBaseFrameRate ()
| Returns the ideal number of frames per second of the animation, when it is running at normal speed.
int | getNumFrames ()
| Returns the number of frames of animation, or 0 if the animation has no fixed number of frames.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the root of an AnimChannel hierarchy.

It knows the frame rate and number of frames of all the channels in the hierarchy (which must all match).

## Constructor & Destructor Documentation

AnimBundle | ( | string | name,
|  | float | fps,
|  | int | num_frames
| ) |  |

## Member Function Documentation

AnimBundle copyBundle | ( |  | ) |

Returns a full copy of the bundle and its entire tree of nested AnimGroups.

However, the actual data stored in the leaves--that is, animation tables, such as those stored in an AnimChannelMatrixXfmTable--will be shared.

double getBaseFrameRate | ( |  | ) |

Returns the ideal number of frames per second of the animation, when it is running at normal speed.

This may not be the same as the actual playing frame rate, as it might have been adjusted through set_play_rate() on the AnimControl object. See AnimControl.get_effective_frame_rate().

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AnimGroup.

int getNumFrames | ( |  | ) |

Returns the number of frames of animation, or 0 if the animation has no fixed number of frames.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties